package com.caimei365.manager.entity.caimei;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/3/16
 */
@Data
public class ReceiptRecord implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 识别款项Id（对应cm_discern_receipt表）
     */
    private Integer receiptId;
    /**
     * 收款时间
     */
    private String receiptTime;
    /**
     * 付款类型：1建设银行7297、2广发银行0115、3中信银行7172、4中信银行0897、5中信银行0897-财付通、6中信银行0897-支付宝、7线上-支付宝、8线上-微信支付、9线上-快钱支付、10口头返佣',0 余额抵扣
     */
    private Integer payType;
    /**
     * 收款金额
     */
    private Double receiptAmount;
    /**
     * 用户付款方式：1线上，2线下
     */
    private Integer payWay;
    /**
     * 交易号--[线上字段]
     */
    private String transactionNum;
    /**
     * 确认人权限Id(对应cm_receipt_user表)
     */
    private Integer confirmUserPermissionId;
    /**
     * 确认人名称
     */
    private String confirmUserName;
    /**
     * 审核人权限Id(对应cm_receipt_user表)
     */
    private Integer reviewUserPermissionId;
    /**
     * 审核人名称
     */
    private String reviewUserName;
    /**
     * 确认时间
     */
    private String confirmDate;
    /**
     * 审核时间
     */
    private String reviewDate;
    /**
     * 收款状态
     */
    private Integer receiptStatus;
    /**
     * 收款款项类型：1订单款，2非订单款，3返佣款
     */
    private Integer receiptType;
    /**
     * 撤销人后台用户系统userId
     */
    private Integer cancelUserPermissionId;
    /**
     * 撤销人名称
     */
    private String cancelUserName;
    /**
     * 撤销原因
     */
    private String cancelReason;
    /**
     * 撤销时间
     */
    private String cancelDate;
    /**
     * 确认类型
     */
    private Integer confirmType;
    /**
     * 订单已收金额（此收款只计算线上线下收款记录表金额）
     */
    private Double orderReceivedAmount;
    /**
     * 退款余额金额
     */
    private Double returnBalanceAmount;
    /**
     * 订单关联方式: 1手动 2自动
     */
    private Integer associationType;
    private Double userMoney;
    private Double onlineMoney;
    /**
     * 米花科技平台唯一流水号
     */
    private String mbOrderId;
}
