package com.caimei365.manager.service.caimei.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.caimei365.manager.entity.caimei.test.ArticleReadVolume;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

/**
 * Description
 *
 * @author : hzg
 * @date : 2023/11/22
 */
@Slf4j
public class ArticleReadVolumeListener extends AnalysisEventListener<ArticleReadVolume> {

    private final Integer SIZE = 100;

    private final List<ArticleReadVolume> dataList = new ArrayList();

    /**
     * 数据解析
     * @param data
     * @param analysisContext
     */
    @Override
    public void invoke(ArticleReadVolume data, AnalysisContext analysisContext) {
        dataList.add(data);
        /*if (dataList.size() >= SIZE) {
            saveData();
        }*/
    }

    /**
     * 解析完成调用
     * @param analysisContext
     */
    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        System.out.println("-----------推文阅读量----------");
        System.out.println("dataList======="+dataList);
    }

    @Override
    public boolean hasNext(AnalysisContext analysisContext) {
        return true;
    }

    /**
     * 保存数据
     */
    public void saveData() {

    }
}
