package com.caimei365.manager.service.caimei.user;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.CmBehaviorRecord;
import com.caimei365.manager.entity.caimei.CmPageType;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/3/15
 */
public interface CmBehaviorRecordService {
    /**
     * 获取父标签
     * @param keyword
     * @return
     */
    ResponseJson getKeyword(String keyword);

    /**
     * 获取页面标签
     * @param pageLabels
     * @return
     */
    ResponseJson<List<CmPageType>> getPageType(String pageLabels);
    /**
     * 用户行为列表
     * @param cmBehaviorRecord
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PaginationVo<CmBehaviorRecord>> list(CmBehaviorRecord cmBehaviorRecord,Integer pageNum, Integer pageSize);

    /**
     * 导出今日数据
     * @param cmBehaviorRecord
     * @return
     */
    List<CmBehaviorRecord> exportExcel(CmBehaviorRecord cmBehaviorRecord);

    /**
     * 查看详情
     * @param cmBehaviorRecord
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PaginationVo<CmBehaviorRecord>> recordList(CmBehaviorRecord cmBehaviorRecord,Integer pageNum, Integer pageSize);

    /**
     * 标签库数据
     * @return 返回
     */
    ResponseJson searchList();
}
